Get all resources for a recommendation
curl --request GET \
--url https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/recommendations/rcmmndtn_073dad68f8be41a2/resources",
"first": "https://api.vantage.sh/v2/recommendations/rcmmndtn_073dad68f8be41a2/resources?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/recommendations/rcmmndtn_073dad68f8be41a2/resources?page=1",
"prev": null
},
"resources": [
{
"token": "prvdr_rsrc_8ec00e4b4c410538",
"resource_id": "i-12345",
"recommendation_actions": [
{
"action": "modify",
"description": "Migrate to c5a.xlarge. Reasons: CPU over-provisioned, EBS IOPS over-provisioned, EBS throughput over-provisioned, Network bandwidth over-provisioned, and Network PPS over-provisioned.",
"potential_savings": "100.0",
"instance_type": "c5a.xlarge",
"remediation_cli_command": "aws ec2 modify-instance-attribute --instance-id i-12345 --instance-type '{\"Value\": \"c5a.xlarge\"}'"
}
]
}
]
}Recommendations
Get all resources for a recommendation
Return all Active Resources, including Recommendation Actions, referenced in this Recommendation.
GET
/
recommendations
/
{recommendation_token}
/
resources
Get all resources for a recommendation
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://console.vantage.sh/account/profile
Scopes1
read
Grants read access
Path Parameters
Query Parameters
The page of results to return.
The number of results to return. Defaults to 25. The maximum is 500.